<%@ page import="com.topcoder.web.ui.tag.breadcrumbtrail.BreadCrumbTrailTag" %>
<%@ taglib uri="http://software.topcoder.com/taglibs/bread_crumb_trail" prefix="bread" %>
<%
    String str =
        "<?xml version=\"1.0\" encoding=\"UTF-8\"?>" +

            "<BreadCrumb xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" " +
            "xsi:noNamespaceSchemaLocation=\"BreadCrumbTrailSchema.xsd\" version=\"v2\">"
            + "<bc_node title=\"ALTERNATIVE SITE MAP NODE\" "
            + "url=\"" + request.getRequestURI()
            + "\" pattern=\".*\">" +
            "</bc_node>" +
            "</BreadCrumb>";
%>
<html><body>
<h1>Bread Crumb Trail Tag examples</h1>

<h4>bread:htmlAnchor</h4>
<bread:breadCrumbTrail>
    <bread:htmlAnchor/>
</bread:breadCrumbTrail>

<h4>bread:htmlAnchor with custom styles</h4>
<bread:breadCrumbTrail currentNodeStyle="background-color:#E0E0E0;"
                       nodeStyle="background-color:#FFE0E0;"
                       rootNodeStyle="background-color:#E0FFE0;"
                       pathSeparatorStyle="font-size:15pt;"
                       mouseOverStyle="background-color:#FFD0D0"
                       pathSeparator="}{">
    <bread:htmlAnchor/>
</bread:breadCrumbTrail>

<h4>bread:htmlAnchor with reverse direction</h4>
<bread:breadCrumbTrail pathDirection="<%=BreadCrumbTrailTag.CURRENT_TO_ROOT%>">
    <bread:htmlAnchor/>
</bread:breadCrumbTrail>

<h4>rendering via bread:templateNodeFormatter</h4>
<bread:breadCrumbTrail>
    <bread:templateNodeFormatter template="/template.jsp"/>
</bread:breadCrumbTrail>

<h4>node rendering template as body of tag</h4>
<bread:breadCrumbTrail>
    [<a href="<%=breadCrumbFormatNode.getUrl()%>"><%=breadCrumbFormatNode.getTitle()%></a>]
</bread:breadCrumbTrail>

<h4>bread:breadCrumbTrail with overridden site map</h4>
<bread:breadCrumbTrail pathOverride="<%=str%>">
    <bread:htmlAnchor/>
</bread:breadCrumbTrail>

<h4>complete node detection override via bread:inlinenode</h4>
<bread:inlinenode
    title="Custom title(Fake Branch 4)">/bread_crumb_trail_tag/test1.jsp?branchid=4</bread:inlinenode>
<bread:breadCrumbTrail>
    <bread:htmlAnchor/>
</bread:breadCrumbTrail>


<h2>Here are some links to navigate the site</h2>
<a href="/bread_crumb_trail_tag/test1.jsp">root</a><br/>
<a href="/bread_crumb_trail_tag/test1.jsp?branchid=1">root/Branch 1</a><br/>
<a href="/bread_crumb_trail_tag/test1.jsp?branchid=1&sub=2">root/Branch 1/sub1</a><br/>
<a href="/bread_crumb_trail_tag/test1.jsp?branchid=1&sub=3">root/Branch 1/sub2</a><br/>
<a href="/bread_crumb_trail_tag/test1.jsp?branchid=1&sub=4">
    root/Branch 1/sub3 .. is also avilable under root2 with shorter path</a><br/>

<a href="/bread_crumb_trail_tag/test1.jsp?branchid=2">root/Branch 2</a><br/>
<a href="/bread_crumb_trail_tag/test1.jsp?custom=0">
    custom page (needs to be mapped dynamically)</a><br/>
<a href="/bread_crumb_trail_tag/test1.jsp?urlbranch2">Root2</a><br/>
<a href="/bread_crumb_trail_tag/test1.jsp?branchid=1&sub=4">
    Root2/shorter path to node root/Branch 1/sub3</a><br/>
</body></html>